Get Tweets by IDs
curl --request GET \
--url https://api.aisa.one/apis/v1/twitter/tweets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/twitter/tweets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/twitter/tweets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tweets": [
{
"type": "<string>",
"id": "<string>",
"url": "<string>",
"text": "<string>",
"source": "<string>",
"retweetCount": 123,
"replyCount": 123,
"likeCount": 123,
"quoteCount": 123,
"viewCount": 123,
"createdAt": "<string>",
"lang": "<string>",
"bookmarkCount": 123,
"isReply": true,
"inReplyToId": "<string>",
"conversationId": "<string>",
"displayTextRange": [
123
],
"inReplyToUserId": "<string>",
"inReplyToUsername": "<string>",
"author": {
"type": "<string>",
"userName": "<string>",
"url": "<string>",
"id": "<string>",
"name": "<string>",
"isBlueVerified": true,
"verifiedType": "<string>",
"profilePicture": "<string>",
"coverPicture": "<string>",
"description": "<string>",
"location": "<string>",
"followers": 123,
"following": 123,
"canDm": true,
"createdAt": "<string>",
"favouritesCount": 123,
"hasCustomTimelines": true,
"isTranslator": true,
"mediaCount": 123,
"statusesCount": 123,
"withheldInCountries": [
"<string>"
],
"possiblySensitive": true,
"pinnedTweetIds": [
"<string>"
],
"isAutomated": true,
"automatedBy": "<string>",
"unavailable": true,
"message": "<string>",
"unavailableReason": "<string>"
},
"entities": {
"hashtags": [
{
"indices": [
123
],
"text": "<string>"
}
],
"urls": [
{
"display_url": "<string>",
"expanded_url": "<string>",
"indices": [
123
],
"url": "<string>"
}
],
"user_mentions": [
{
"id_str": "<string>",
"name": "<string>",
"screen_name": "<string>"
}
]
},
"quoted_tweet": "<string>",
"retweeted_tweet": "<string>",
"isLimitedReply": true
}
],
"status": "<string>",
"msg": "<string>",
"code": 123
}Tweet Endpoints
Get Tweets by IDs
Fetch the full content of specific tweets when you already know their numeric tweet IDs (accepts multiple IDs in one call).
GET
https://api.aisa.one/apis/v1
/
twitter
/
tweets
Get Tweets by IDs
Fetch the full content of specific tweets when you already know their numeric tweet IDs (accepts multiple IDs in one call). Use this to expand IDs surfaced by search, timelines, or replies into complete objects.
Returns text, author, source client, language, creation time, and engagement counts (likes, retweets, replies, quotes, bookmarks, views).
If you do not have IDs yet, start with
get_twitter_tweet_advanced_search.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Comma-separated list of tweet IDs.
⌘I